const request = require('request');
const _ = require('lodash');

class aviationEdge {
    constructor(key){
        this.key = key;
        this.link = `https://aviation-edge.com/api/public/`;

    }
    apiCall(method='ping', params={}, callback) {
          var propertiesObject = _.extend({key: this.key}, params);
        request.get({
            url : `${this.link}${method}`,
            qs : propertiesObject
        }, function(error, response, body) {
            

            if(!body) return callback(new Error('Invalid Response'));
            callback(body);
        });
    }
}

module.exports = aviationEdge;
